#!/usr/bin/env perl

use strict;
use warnings;
use Smash::Core;
use File::Path;
use File::Basename;

my $smash;
my $machine;
my $maui_dir;
my $script_location;

($machine) = @ARGV;
$machine ||= "generic";

(undef, $script_location) = fileparse($0);
$script_location =~ s#/$##;

$smash = new Smash::Core();
$smash->init();
$maui_dir = $smash->maui_dir($machine);
mkpath $maui_dir, {mode => $smash->file_perm};

system <<EOF;
cd $script_location/../lib/maui/
make TARGET_DIR=$maui_dir install
EOF

